// CUDlg.h : header file
//
// CrackUp version 1.0
// Copyright  1998 Ziff-Davis, Inc.
// First published in PC Magazine, US Edition, November 3, 1998
// Written by Bob Flanders and Gregory A. Wolking

/////////////////////////////////////////////////////////////////////////////
// CCrackUpDlg dialog

class CCrackUpDlg : public CDialog
{
// Construction
public:
	CCrackUpDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CCrackUpDlg)
	enum { IDD = IDD_CRACKUP_DIALOG };
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CCrackUpDlg)
	public:
	virtual BOOL DestroyWindow();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CCrackUpDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnAbout();
	afx_msg void OnScanNow();
	afx_msg void OnOpen();
	afx_msg void OnExit();
	//}}AFX_MSG
	afx_msg void OnTrayIcon(WPARAM wParam, LPARAM);
	afx_msg void OnCheckLevels(WPARAM wParam, LPARAM);
	DECLARE_MESSAGE_MAP()
private:
	CDialog		*m_pActiveDialog;
	CDialog		*m_pAboutBox;
	BOOL		m_bDialogActive,
				m_bAboutBoxActive;
	int			m_intMyTimer;
	char		m_szDrives[DRVSTRLEN],		// work area for drives
				m_szGoodDrvs[DRIVELEN];		// good drive table
};
