// MyList.cpp : implementation file
//
// CrackUp version 1.0
// Copyright  1998 Ziff-Davis, Inc.
// First published in PC Magazine, US Edition, November 3, 1998
// Written by Bob Flanders and Gregory A. Wolking

#include "stdafx.h"
#include "crackup.h"
#include "MyList.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

extern WORD g_wNDrivesSelected;

/////////////////////////////////////////////////////////////////////////////
// CMyList

CMyList::CMyList()
{
}

CMyList::~CMyList()
{
}


BEGIN_MESSAGE_MAP(CMyList, CListCtrl)
	//{{AFX_MSG_MAP(CMyList)
	ON_WM_CONTEXTMENU()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CMyList message handlers


// Right mouse click or {Menu} key.
void CMyList::OnContextMenu(CWnd* pWnd, CPoint point) 
{
	if (g_wNDrivesSelected == 0)
	{
		CListCtrl::OnContextMenu(pWnd, point);
		return;
	}
	else
	{
		CWnd*	pParent = GetParent();
		CPoint	ptWhere(point);
		CRect	rectThis;
		CString	strPrompt("&Copy results to the clipboard");

		if (pWnd != this || pParent == NULL)
		{
			CListCtrl::OnContextMenu(pWnd, point);
			return;
		}
		else
		{
			if (ptWhere.x < 0 && ptWhere.y < 0)			// Requested by keystroke?
			{
				GetWindowRect(&rectThis);								// Get our rectangle
				rectThis.NormalizeRect();								// and normalize it.
				ptWhere.x = rectThis.left + (rectThis.Width() / 2);		// Calculate coords to center the
				ptWhere.y = rectThis.top + (rectThis.Height() / 2);		// pop-up menu in our window.
			}
			CMenu mnu;
			mnu.CreatePopupMenu();
			mnu.AppendMenu(MF_STRING, ID_COPY, strPrompt);
			mnu.TrackPopupMenu(TPM_CENTERALIGN | TPM_LEFTBUTTON, ptWhere.x, ptWhere.y, pParent, NULL);
		}
	}
}
