#if !defined(AFX_PICTBOX_H__4A048541_1A03_11D2_A4C6_00A0CC307F9C__INCLUDED_)
#define AFX_PICTBOX_H__4A048541_1A03_11D2_A4C6_00A0CC307F9C__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// PieGraph.h : header file
//
// CrackUp version 1.0
// Copyright  1998 Ziff-Davis, Inc.
// First published in PC Magazine, US Edition, November 3, 1998
// Written by Bob Flanders and Gregory A. Wolking

/////////////////////////////////////////////////////////////////////////////
// CPieGraph window

class CPieGraph : public CStatic
{
// Construction
public:
	CPieGraph();

// Attributes
public:

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CPieGraph)
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual HBITMAP SetBitmap(HBITMAP hBitmap);
	// Member variables
	COLORREF m_crBackground;		// Background color
	COLORREF m_crLines;				// Line color
	COLORREF m_crPrimary;			// Primary slice color
	COLORREF m_crSecondary;			// Secondary slice color

	// Member functions
	virtual void SetPercentage(float fPercentage = 0);
	virtual void SetPercentage(int iPercentage = 0);
	virtual ~CPieGraph();

	// Generated message map functions
protected:
	//{{AFX_MSG(CPieGraph)
	//}}AFX_MSG

	DECLARE_MESSAGE_MAP()
private:
	HBITMAP m_hCurrentBitmap;
	float m_fPercent;		// Percentage for graph. Must use SetPercentage() to change.
	void DrawBitmap(void);
	void DrawPie(CDC* pDc);
	void DrawSlice(CDC *dc,				// context to draw in
		 					int		iX,					// center point x
							int		iY,					// center point y
							DWORD	dwRadius,			// radius of line
							float	fStartDegrees,		// start degrees for arc
							float	fSweepDegrees,		// end degrees for arc
							int		iHeight = 0,		// height for 3d
							BOOL	bDrawLines = TRUE,	// TRUE to draw lines
							CPoint	*lpptP = NULL,		// pointer to end CPoint 
							CPoint  *lpptS = NULL);
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_PICTBOX_H__4A048541_1A03_11D2_A4C6_00A0CC307F9C__INCLUDED_)
